﻿// Copyright (c) Dundas Data Visualization Inc. All rights reserved.
//
// THIS SOURCE CODE IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY 
// WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED 
// OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE 
// QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE 
// DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.
//
// IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW THE AUTHOR WILL BE LIABLE TO YOU 
// FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES 
// ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT 
// LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY 
// YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER 
// PROGRAMS), EVEN IF THE AUTHOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH 
// DAMAGES.

using Dundas.BI.Extensibility;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CustomFunction
{
    /// <summary>
    /// This class contains the package information about the extension package.
    /// </summary>
    public class CustomFunctionSamplePackage : ExtensionPackageInfo
    {
        /// <summary>
        /// Gets the name of the extension package author.
        /// </summary>
        public override string Author
        {
            get { return "Dundas Data Visualization Sample Author"; }
        }

        /// <summary>
        /// Gets the copyright text associated with the extension package.
        /// </summary>
        public override string Copyright
        {
            get { return "Dundas Data Visualization, Inc."; }
        }

        /// <summary>
        /// Gets the localized display name of the extension package.
        /// </summary>
        public override string DisplayName
        {
            get { return "Custom Function Sample Package"; }
        }

        /// <summary>
        /// Gets the unique identifier of the extension package.
        /// </summary>
        public override Guid Id
        {
            get { return new Guid("b60b426d-0766-4a60-973e-2f50c3e6abde"); }
        }

        /// <summary>
        /// Gets the name of the extension package.
        /// </summary>
        public override string Name
        {
            get { return "Custom Function Sample Package"; }
        }

        /// <summary>
        /// Gets the version of the extension package.
        /// </summary>
        public override Version Version
        {
            get { return new Version(0, 0, 1); }
        }
    }
}
